## vocproc 0.2

=== Makefile ===

# By default plugin will be installed in /usr/local/lib/lv2.
# You can change that by changing value of INSTALL_DIR

INSTALL_DIR = /usr/local/lib/lv2


# By default (because of the built in vocoder functionality) VocProc has two inputs and
# one output. If you're using VocProc in Ardour, that means that you need to apply it 
# always to stereo track in whick one channel will be voice input and other carrier (empty
# if vocoder is not used)
#
# Setting DEFINES to -DNO_VOCODER removes built in vocoder so the final plugin has only
# one input and one output. Use NO_VOCODER if you plan to use it mostly in Ardour.If you use 
# it in hosts like Ingen where you can wire it by your wishes, you can leave the default setting.

#DEFINES = -DNO_VOCODER
DEFINES = 


# do not edit after this point

BUNDLE = vocproc.lv2

all: prepare $(BUNDLE)

$(BUNDLE): manifest.ttl vocproc.ttl vocproc.so vocproc_gui.so vocproc_gui.ui 
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp $^ $(BUNDLE)

vocproc.so: vocproc.cpp vocproc.peg
	g++ -shared -fPIC -DPIC $(DEFINES) vocproc.cpp `pkg-config --cflags --libs lv2-plugin fftw3` -lm -o vocproc.so

vocproc_gui.so: vocproc_gui.cpp vocproc.peg
	g++ -shared -fPIC -DPIC $(DEFINES) vocproc_gui.cpp `pkg-config --cflags --libs lv2-gui` -o vocproc_gui.so

prepare:
ifeq ($(DEFINES), -DNO_VOCODER)
	@echo "** making version without vocoder"
	cp vocproc.ttl.novoc vocproc.ttl
else
	@echo "** making version with vocoder"
	cp vocproc.ttl.voc vocproc.ttl
endif

vocproc.peg: vocproc.ttl
	lv2peg vocproc.ttl vocproc.peg

install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) vocproc.so vocproc_gui.so vocproc.peg

=== debian/changelog ===
vocproc (0.2-5build1) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:55:27 +0000

vocproc (0.2-5) unstable; urgency=medium

  * Drop parallel build to fix build (Closes: #789045)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 17 Jun 2015 13:57:55 +0200

vocproc (0.2-4) unstable; urgency=medium

  * Set dh/compat 9.
  * Bump Standards.
  * Enable parallel build.
  * Update copyright file.
  * Update VCS fields.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 11 Jun 2015 22:31:05 +0200

vocproc (0.2-3) unstable; urgency=low

  * Replace lv2core with lv2-dev in Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 20:36:51 +0200

vocproc (0.2-2) unstable; urgency=low

  * debian/patches/01-makefile.patch:
    - Revert a portion of the patch, now could link against static
      libraries provided by lv2-c++-tools.
    - Set LDFLAGS properly.
  * debian/control:
    - Needs lv2-c++-tools (>= 1.0.4-3~).
    - Remove libpaq-dev from Build-Depends field.
    - Improve the description.
    - Bump Standards.
  * debian/rules: Set LDFLAGS+=-Wl,--as-needed.

 -- Alessio Treglia <alessio@debian.org>  Sat, 26 Mar 2011 10:32:39 +0100

vocproc (0.2-1) unstable; urgency=low

  * Initial release (Closes: #584620)  

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Jun 2010 15:34:05 +0200

=== debian/control ===
Source: vocproc
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9),
 libboost-dev,
 libfftw3-dev,
 libgtkmm-2.4-dev,
 lv2-c++-tools (>= 1.0.4-3~),
 lv2-dev,
 pkg-config
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/vocproc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vocproc.git
Homepage: http://hyperglitch.com/dev/VocProc

Package: vocproc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 plugin for pitch shifting and vocoding
 VocProc is a LV2 plugin for pitch shifting (with or without formant
 correction), vocoding, automatic pitch correction and harmonizing
 of singing voice.
 .
 This package contains the vocproc LV2 plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

LDFLAGS+=-Wl,--as-needed

%:
	dh $@

## vocproc 0.2.1

=== Makefile ===

# By default plugin will be installed in /usr/local/lib/lv2.
# You can change that by changing value of INSTALL_DIR

DESTDIR=
INSTALL_DIR = $(DESTDIR)/usr/lib/lv2


# By default (because of the built in vocoder functionality) VocProc has two inputs and
# one output. If you're using VocProc in Ardour, that means that you need to apply it 
# always to stereo track in whick one channel will be voice input and other carrier (empty
# if vocoder is not used)
#
# Setting DEFINES to -DNO_VOCODER removes built in vocoder so the final plugin has only
# one input and one output. Use NO_VOCODER if you plan to use it mostly in Ardour.If you use 
# it in hosts like Ingen where you can wire it by your wishes, you can leave the default setting.


# do not edit after this point

BUNDLE = vocproc.lv2

all: $(BUNDLE)

$(BUNDLE): manifest.ttl vocproc.ttl vocproc.so vocproc_gui.so vocproc_gui.ui 
	rm -rf $(BUNDLE)
	mkdir $(BUNDLE)
	cp $^ $(BUNDLE)

vocproc.so: vocproc.cpp vocproc.peg
	g++ $(LDFLAGS) -shared -fPIC -DPIC $(DEFINES) vocproc.cpp `pkg-config --cflags --libs lv2-plugin fftw3` -lm -o vocproc.so

vocproc_gui.so: vocproc_gui.cpp vocproc.peg
	g++ $(LDFLAGS) -shared -fPIC -DPIC $(DEFINES) vocproc_gui.cpp `pkg-config --cflags --libs lv2-gui` -o vocproc_gui.so

vocproc.peg: vocproc.ttl
	lv2peg vocproc.ttl vocproc.peg

install: $(BUNDLE)
	mkdir -p $(INSTALL_DIR)
	rm -rf $(INSTALL_DIR)/$(BUNDLE)
	cp -R $(BUNDLE) $(INSTALL_DIR)

uninstall:
	rm -rf $(INSTALL_DIR)/$(BUNDLE)

clean:
	rm -rf $(BUNDLE) vocproc.so vocproc_gui.so vocproc.peg

=== debian/changelog ===
vocproc (0.2.1-2) unstable; urgency=medium

  * Team upload
  * Remove myself from the Uploaders list

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2017 07:52:30 +0000

vocproc (0.2.1-1) unstable; urgency=medium

  * Patch forwarded.
  * New upstream version 0.2.1
  * Patch applied upstream.
  * Set dh/compat 10.
  * Update copyright file.
  * Sign tags.
  * Bump Standards.
  * Fix VCS fields.
  * Fix some hardening.
  * Try to avoid useless linking.
  * Tune .gitignore file.
  * Add patch to pass cflags and cppflags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 28 Dec 2016 01:30:32 +0100

=== debian/control ===
Source: vocproc
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
Build-Depends:
 debhelper (>= 10),
 libboost-dev,
 libfftw3-dev,
 libgtkmm-2.4-dev,
 lv2-c++-tools (>= 1.0.4-3~),
 lv2-dev,
 pkg-config
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vocproc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vocproc.git
Homepage: http://hyperglitch.com/dev/VocProc

Package: vocproc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 plugin for pitch shifting and vocoding
 VocProc is a LV2 plugin for pitch shifting (with or without formant
 correction), vocoding, automatic pitch correction and harmonizing
 of singing voice.
 .
 This package contains the vocproc LV2 plugin.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

=== debian/watch ===
version=3

http://hyperglitch.com/files/vocproc/vocproc-(.*)\.tar\.gz
